Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230558 - unzip-5.51-8 leaves files as read-only (400)
Summary: unzip-5.51-8 leaves files as read-only (400)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: unzip
Version: 4.5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
: 230559 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 15:16 UTC by Donald Desjardin
Modified: 2007-11-30 22:07 UTC (History)
5 users (show)

Fixed In Version: RHSA-2007-0203
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 17:06:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0203 normal SHIPPED_LIVE Low: unzip security and bug fix update 2007-05-01 17:05:16 UTC

Description Donald Desjardin 2007-03-01 15:16:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; Hotbar 4.1.8.0; SV1; .NET CLR 2.0.50727)

Description of problem:
Using unzip to unzip an archive, leaves the files as owner-read-only (400), the directories were OK.

Also a problem in x86_64.


Version-Release number of selected component (if applicable):
unzip-5.51-8.EL4.5

How reproducible:
Always


Steps to Reproduce:
1. unzip FILE.zip
2.
3.

Actual Results:
ls -l
-r--------  1 vobadm ftlinux        12 Aug  7  2005 media.inf
drwxrwxr-x  2 vobadm ftlinux      4096 Aug  7  2005 setup
-r--------  1 vobadm ftlinux 115428425 Aug  7  2005 setup.jar


Expected Results:
ls -l
-rw-rw-r--  1 vobadm ftlinux        12 Aug  7  2005 media.inf
drwxrwxr-x  2 vobadm ftlinux      4096 Aug  7  2005 setup
-rw-rw-r--  1 vobadm ftlinux 115428425 Aug  7  2005 setup.jar


Additional info:
I replaced the unzip package with the previous package from RHEL4-U4 (unzip-5.51-7) and everything works fine.

The problem is that some packages may have already used unzip during the installation process, so we might have some permmission problems yet unfound.

Comment 1 Andrius Benokraitis 2007-03-01 20:56:24 UTC

*** This bug has been marked as a duplicate of 230559 ***

Comment 2 Andrius Benokraitis 2007-03-01 20:58:51 UTC
*** Bug 230559 has been marked as a duplicate of this bug. ***

Comment 7 Andrius Benokraitis 2007-03-23 15:52:13 UTC
Note to Stratus: Red Hat has identified the problem and has a patch. Stay tuned
for when and which build to test...

Comment 12 Red Hat Bugzilla 2007-05-01 17:06:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0203.html


Comment 13 Ivana Varekova 2007-11-02 13:02:48 UTC
*** Bug 244938 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.